刚开始重新使用cad,我记不起一些东西。
我试图在paperspace中扭曲模型空间视图,并找到了一个我使用的lisp例程,唯一的问题是扭曲视图后它会更改十字线方向。我记不起要改变什么了,所以它没有改变。
非常感谢您的帮助
这是例行程序
- ; *** This program uses the dview to twist a view ***
- ; and to set the crosshairs to bottom of screen
- ;;;;The dtr funtion converts degrees to radians
- ;;;;The rtd funtion converts radians to degrees
- (defun rtd (a) (/ (* a 180.0)pi))
- (defun dtr (a)
- (* pi (/ a 180.0)))
- (DEFUN C:TW(/ W2 W1 ANG)
- (PRINC"\nSelect two point along the desired horizontal line. ")
- (SETVAR"OSMODE"512)(IF(SETQ W2(GETPOINT"\nFirst point (left): "))
- (PROGN(INITGET 1)(SETQ W1(GETPOINT"\nSecond point: "W2)ANG(ANGLE W2 W1))
- (COMMAND"DVIEW""L" "" "TW"(- 360(RTD ANG))"")(SETVAR"SNAPANG"ANG)))
- (SETVAR"OSMODE"0))
|